#!/usr/bin/env python
import sys
import os

import ez_setup
ez_setup.use_setuptools()

from setuptools import setup

def ls_r(dir):
    def do_reduce(a, b):
        files = []
        for f in b[2]:
            files.append(os.path.join(b[0], f))
        a.append((b[0], files))
        return a
    return reduce(do_reduce, os.walk(dir), [])

kwargs = {
      'name': 'gcoherence',
      'version': "0.1.0",
      'description': 'A GUI to coherence',
      'author': 'Jonas Wagner',
      'author_email': 'veers@gmx.ch',
      'url': 'http://29a.ch/',
      'packages': ['x29a'],
      'scripts': ['gcoherence'],
      'options': {'py2exe':{
          'packages': 'encodings',
          'includes': 'cairo, pango, pangocairo, atk, gobject',
          'dist_dir': 'dist/win32',
          'optimize': 2,
          }},
      'license': 'GNU GPL v3',
      'data_files': ls_r('share'),
      'install_requires': ["coherence >= 0.5.6"],
      'classifiers': ['Development Status :: 4 - Beta',
        'Environment :: X11 Applications :: GTK',
        'Intended Audience :: End Users/Desktop',
        'License :: OSI Approved :: GNU General Public License (GPL)',
        'Natural Language :: English',
        'Operating System :: POSIX',
        'Operating System :: Microsoft',
        'Programming Language :: Python',
        'Topic :: Communications :: File Sharing']
}

try:
    import py2exe
    kwargs['windows'] = [{'script': 'gcoherence.py',
          'icon_resources': [(1, 'gcoherence.ico')],
          'dest_base': 'gcoherence'}]
except ImportError:
    pass

setup(**kwargs)
